package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.CountrysideGarbageRanking;
import com.lightinit.hsdatashow.entity.CountrysideGarbageRankingExample;
import java.util.List;

import com.lightinit.hsdatashow.entity.GarbageRegionExample;
import com.lightinit.hsdatashow.model.admin.CountrysideGarbageRankingModel;
import com.lightinit.hsdatashow.model.ms.GreenModel;
import org.apache.ibatis.annotations.Param;

public interface CountrysideGarbageRankingMapper {
    long countByExample(CountrysideGarbageRankingExample example);

    int deleteByExample(CountrysideGarbageRankingExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CountrysideGarbageRanking record);

    int insertSelective(CountrysideGarbageRanking record);

    List<CountrysideGarbageRanking> selectByExample(CountrysideGarbageRankingExample example);

    CountrysideGarbageRanking selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CountrysideGarbageRanking record, @Param("example") CountrysideGarbageRankingExample example);

    int updateByExample(@Param("record") CountrysideGarbageRanking record, @Param("example") CountrysideGarbageRankingExample example);

    int updateByPrimaryKeySelective(CountrysideGarbageRanking record);

    int updateByPrimaryKey(CountrysideGarbageRanking record);

    List<CountrysideGarbageRankingModel> getCountrysideGarbageRanking(@Param("year") int year);

    List<GreenModel> selectList(GarbageRegionExample example);

    long selectCount(GarbageRegionExample example);

    GreenModel findByBuildId(Long id);
}